Properties Methods Events Config Options Direct Link

# Class Ext.tree.TreeSorter

Package: | Ext.tree
Defined In: | TreeSorter.js
Class: | TreeSorter
Extends: | Object

Provides sorting of nodes in a TreePanel

## Config Options

Config Options | Defined By
--- | ---
| caseSensitive : Boolean true for case sensitive sort (defaults to false) | TreeSorter
| dir : String The direction to sort (asc or desc) (defaults to asc) | TreeSorter
| folderSort : Boolean True to sort leaf nodes under non leaf nodes | TreeSorter
| leafAttr : String The attribute used to determine leaf nodes in folder sort (defaults to "leaf") | TreeSorter
| property : String The named attribute on the node to sort by (defaults to text) | TreeSorter
| sortType : Function A custom "casting" function used to convert node values before sorting | TreeSorter

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

TreeSorter( `TreePanel tree`, `Object config` )
Parameters:

- `tree` : TreePanel
- `config` : Object

Returns:

- ``

TreeSorter

## Public Events

This class has no public events.